/*
------------------------
Показ смайлов и разделов
------------------------
*/

function smiles_show(link) {
  
  var object = document.getElementById('_smiles');
    
  object.style.display = "";
  
  smiles_upgd(link);
  
  bb_hide();
    
}

/*
--------------------------
Скрытие смайлов и разделов
--------------------------
*/

function smiles_hide() {
  
  var object = document.getElementById('_smiles');
    
  object.style.display = "none";
    
}

/*
-------------------
Показ всех разделов
-------------------
*/

var smb = 0;

function smiles_section_show() {
  
  var object = document.getElementById('section_sm');
  
  if (smb == 0){
    
    object.style.display = "";
    
    $('#ud_sm').html('<i class="fa fa-chevron-up fa-fw fa-lg"></i>');
    
    smb = 1;
    
  }else{
    
    object.style.display = "none";
    
    $('#ud_sm').html('<i class="fa fa-chevron-down fa-fw fa-lg"></i>');
    
    smb = 0;
    
  }
    
}

/*
-----------------
Подгрузка смайлов
-----------------
*/

function smiles_upgd(action) {
  
  var load_d = '<br /><font size="+2"><center><i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><br />Загрузка...</center></font>';
  
  $.ajax({
    
    url: action,
    type: "get",
    cache: false,
    beforeSend: function() {
      
      $('#smile-spis').html(load_d);
    
    },
    success: function(html){
      
      $("#smile-spis").html(html);
    
    }
  
  });
  
  return false;

}